/**
 *  Copyright (C) 2009 Michel Vinicius de Melo Euzebio e Emerson Ribeiro de Mello
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Copyright (C) 2009 Michel Vinicius de Melo Euzebio e Emerson Ribeiro de Mello
 *
 *  Este programa é software livre; você pode redistribuí-lo e/ou
 *  modificá-lo sob os termos da Licença Pública Geral GNU, conforme
 *  publicada pela Free Software Foundation; tanto a versão 2 da
 *  Licença como (a seu critério) qualquer versão mais nova.
 *
 *  Este programa é distribuído na expectativa de ser útil, mas SEM
 *  QUALQUER GARANTIA; sem mesmo a garantia implícita de
 *  COMERCIALIZAÇÃO ou de ADEQUAÇÃO A QUALQUER PROPÓSITO EM
 *  PARTICULAR. Consulte a Licença Pública Geral GNU para obter mais
 *  detalhes.
 *
 *  Você deve ter recebido uma cópia da Licença Pública Geral GNU
 *  junto com este programa; se não, escreva para a Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307, USA.
*/

package app.dl;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * Classe que contem as informações dos perfis.
 */
public class InfoPerf implements Serializable{
	
	public InfoPerf(){
		ini_hora = new ArrayList<String>();
		ini_min = new ArrayList<String>();
		fim_hora = new ArrayList<String>();
		fim_min = new ArrayList<String>();
		valorInicial = new ArrayList<String>();
		valorFinal = new ArrayList<String>();
		endereco = new ArrayList<String>();
		nomeDisp = new ArrayList<String>();
		idDisp = new ArrayList<String>();
		enableDisp = new ArrayList<Boolean>();
	}

    public ArrayList<String> ini_hora;
    public ArrayList<String> ini_min;
    public ArrayList<String> fim_hora;
    public ArrayList<String> fim_min;
    public ArrayList<String> valorInicial;
    public ArrayList<String> valorFinal;
    public ArrayList<String> endereco;
    public ArrayList<String> nomeDisp;
    public ArrayList<String> idDisp;
    public ArrayList<Boolean> enableDisp;
}
